clang-tools 6.0.0

Public Member Functions | List of all members
clang::tidy::DefaultOptionsProvider Class Reference

Implementation of the `ClangTidyOptionsProvider` interface, which returns the same options for all files. More...

`#include <ClangTidyOptions.h>`

Inheritance diagram for clang::tidy::DefaultOptionsProvider:
[legend]
Collaboration diagram for clang::tidy::DefaultOptionsProvider:
[legend]

## Public Member Functions
| DefaultOptionsProvider (const ClangTidyGlobalOptions &GlobalOptions, const ClangTidyOptions &Options)
const ClangTidyGlobalOptions & | getGlobalOptions () override
| Returns global options, which are independent of the file. More...
std::vector< OptionsSource > | getRawOptions (llvm::StringRef FileName) override
| Returns an ordered vector of OptionsSources, in order of increasing priority. More...
Public Member Functions inherited from clang::tidy::ClangTidyOptionsProvider
virtual | ~ClangTidyOptionsProvider ()
ClangTidyOptions | getOptions (llvm::StringRef FileName)
| Returns options applying to a specific translation unit with the specified `FileName`. More...

## Additional Inherited Members
Public Types inherited from clang::tidy::ClangTidyOptionsProvider
typedef std::pair< ClangTidyOptions, std::string > | OptionsSource
| ClangTidyOptions and its source. More...
Static Public Attributes inherited from clang::tidy::ClangTidyOptionsProvider
static const char | OptionsSourceTypeDefaultBinary []
static const char | OptionsSourceTypeCheckCommandLineOption []
static const char | OptionsSourceTypeConfigCommandLineOption []

## Detailed Description

Implementation of the `ClangTidyOptionsProvider` interface, which returns the same options for all files.

Definition at line 147 of file ClangTidyOptions.h.

## Constructor & Destructor Documentation

## ◆ DefaultOptionsProvider()

clang::tidy::DefaultOptionsProvider::DefaultOptionsProvider | ( | const ClangTidyGlobalOptions & | GlobalOptions,
|  | const ClangTidyOptions & | Options
| ) |  |
| inline

Definition at line 149 of file ClangTidyOptions.h.

## Member Function Documentation

## ◆ getGlobalOptions()

const ClangTidyGlobalOptions& clang::tidy::DefaultOptionsProvider::getGlobalOptions | ( |  | ) |
| inline override virtual

Returns global options, which are independent of the file.

Implements clang::tidy::ClangTidyOptionsProvider.

Definition at line 152 of file ClangTidyOptions.h.

## ◆ getRawOptions()

std::vector< OptionsSource > clang::tidy::DefaultOptionsProvider::getRawOptions | ( | llvm::StringRef | FileName | ) |
| override virtual

Returns an ordered vector of OptionsSources, in order of increasing priority.

Implements clang::tidy::ClangTidyOptionsProvider.

Reimplemented in clang::tidy::FileOptionsProvider, and clang::tidy::ConfigOptionsProvider.

Definition at line 179 of file ClangTidyOptions.cpp.

Referenced by clang::tidy::ConfigOptionsProvider::getRawOptions(), and clang::tidy::FileOptionsProvider::getRawOptions().

The documentation for this class was generated from the following files:

- ClangTidyOptions.h
- ClangTidyOptions.cpp